IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network253.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
253.0.0.0- Broadcast address
253.255.255.255- First usable
253.0.0.1- Last usable
253.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
FD000000· Integer4244635648to4261412863 - Reverse DNS zone
253.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11111101..00000000.00000000.00000000 | 253.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 11111101..00000000.00000000.00000000 | 253.0.0.0 |
| Broadcast | 11111101..11111111.11111111.11111111 | 253.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
253.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 253.0.0.0/16 | 253.0.0.1 to 253.0.255.254 | 253.0.255.255 | 65,534 |
| 2 | 253.1.0.0/16 | 253.1.0.1 to 253.1.255.254 | 253.1.255.255 | 65,534 |
| 3 | 253.2.0.0/16 | 253.2.0.1 to 253.2.255.254 | 253.2.255.255 | 65,534 |
| 4 | 253.3.0.0/16 | 253.3.0.1 to 253.3.255.254 | 253.3.255.255 | 65,534 |
| 5 | 253.4.0.0/16 | 253.4.0.1 to 253.4.255.254 | 253.4.255.255 | 65,534 |
| 6 | 253.5.0.0/16 | 253.5.0.1 to 253.5.255.254 | 253.5.255.255 | 65,534 |
| 7 | 253.6.0.0/16 | 253.6.0.1 to 253.6.255.254 | 253.6.255.255 | 65,534 |
| 8 | 253.7.0.0/16 | 253.7.0.1 to 253.7.255.254 | 253.7.255.255 | 65,534 |
| 9 | 253.8.0.0/16 | 253.8.0.1 to 253.8.255.254 | 253.8.255.255 | 65,534 |
| 10 | 253.9.0.0/16 | 253.9.0.1 to 253.9.255.254 | 253.9.255.255 | 65,534 |
| 11 | 253.10.0.0/16 | 253.10.0.1 to 253.10.255.254 | 253.10.255.255 | 65,534 |
| 12 | 253.11.0.0/16 | 253.11.0.1 to 253.11.255.254 | 253.11.255.255 | 65,534 |
| 13 | 253.12.0.0/16 | 253.12.0.1 to 253.12.255.254 | 253.12.255.255 | 65,534 |
| 14 | 253.13.0.0/16 | 253.13.0.1 to 253.13.255.254 | 253.13.255.255 | 65,534 |
| 15 | 253.14.0.0/16 | 253.14.0.1 to 253.14.255.254 | 253.14.255.255 | 65,534 |
| 16 | 253.15.0.0/16 | 253.15.0.1 to 253.15.255.254 | 253.15.255.255 | 65,534 |
| 17 | 253.16.0.0/16 | 253.16.0.1 to 253.16.255.254 | 253.16.255.255 | 65,534 |
| 18 | 253.17.0.0/16 | 253.17.0.1 to 253.17.255.254 | 253.17.255.255 | 65,534 |
| 19 | 253.18.0.0/16 | 253.18.0.1 to 253.18.255.254 | 253.18.255.255 | 65,534 |
| 20 | 253.19.0.0/16 | 253.19.0.1 to 253.19.255.254 | 253.19.255.255 | 65,534 |
| 21 | 253.20.0.0/16 | 253.20.0.1 to 253.20.255.254 | 253.20.255.255 | 65,534 |
| 22 | 253.21.0.0/16 | 253.21.0.1 to 253.21.255.254 | 253.21.255.255 | 65,534 |
| 23 | 253.22.0.0/16 | 253.22.0.1 to 253.22.255.254 | 253.22.255.255 | 65,534 |
| 24 | 253.23.0.0/16 | 253.23.0.1 to 253.23.255.254 | 253.23.255.255 | 65,534 |
| 25 | 253.24.0.0/16 | 253.24.0.1 to 253.24.255.254 | 253.24.255.255 | 65,534 |
| 26 | 253.25.0.0/16 | 253.25.0.1 to 253.25.255.254 | 253.25.255.255 | 65,534 |
| 27 | 253.26.0.0/16 | 253.26.0.1 to 253.26.255.254 | 253.26.255.255 | 65,534 |
| 28 | 253.27.0.0/16 | 253.27.0.1 to 253.27.255.254 | 253.27.255.255 | 65,534 |
| 29 | 253.28.0.0/16 | 253.28.0.1 to 253.28.255.254 | 253.28.255.255 | 65,534 |
| 30 | 253.29.0.0/16 | 253.29.0.1 to 253.29.255.254 | 253.29.255.255 | 65,534 |
| 31 | 253.30.0.0/16 | 253.30.0.1 to 253.30.255.254 | 253.30.255.255 | 65,534 |
| 32 | 253.31.0.0/16 | 253.31.0.1 to 253.31.255.254 | 253.31.255.255 | 65,534 |
| 33 | 253.32.0.0/16 | 253.32.0.1 to 253.32.255.254 | 253.32.255.255 | 65,534 |
| 34 | 253.33.0.0/16 | 253.33.0.1 to 253.33.255.254 | 253.33.255.255 | 65,534 |
| 35 | 253.34.0.0/16 | 253.34.0.1 to 253.34.255.254 | 253.34.255.255 | 65,534 |
| 36 | 253.35.0.0/16 | 253.35.0.1 to 253.35.255.254 | 253.35.255.255 | 65,534 |
| 37 | 253.36.0.0/16 | 253.36.0.1 to 253.36.255.254 | 253.36.255.255 | 65,534 |
| 38 | 253.37.0.0/16 | 253.37.0.1 to 253.37.255.254 | 253.37.255.255 | 65,534 |
| 39 | 253.38.0.0/16 | 253.38.0.1 to 253.38.255.254 | 253.38.255.255 | 65,534 |
| 40 | 253.39.0.0/16 | 253.39.0.1 to 253.39.255.254 | 253.39.255.255 | 65,534 |
| 41 | 253.40.0.0/16 | 253.40.0.1 to 253.40.255.254 | 253.40.255.255 | 65,534 |
| 42 | 253.41.0.0/16 | 253.41.0.1 to 253.41.255.254 | 253.41.255.255 | 65,534 |
| 43 | 253.42.0.0/16 | 253.42.0.1 to 253.42.255.254 | 253.42.255.255 | 65,534 |
| 44 | 253.43.0.0/16 | 253.43.0.1 to 253.43.255.254 | 253.43.255.255 | 65,534 |
| 45 | 253.44.0.0/16 | 253.44.0.1 to 253.44.255.254 | 253.44.255.255 | 65,534 |
| 46 | 253.45.0.0/16 | 253.45.0.1 to 253.45.255.254 | 253.45.255.255 | 65,534 |
| 47 | 253.46.0.0/16 | 253.46.0.1 to 253.46.255.254 | 253.46.255.255 | 65,534 |
| 48 | 253.47.0.0/16 | 253.47.0.1 to 253.47.255.254 | 253.47.255.255 | 65,534 |
| 49 | 253.48.0.0/16 | 253.48.0.1 to 253.48.255.254 | 253.48.255.255 | 65,534 |
| 50 | 253.49.0.0/16 | 253.49.0.1 to 253.49.255.254 | 253.49.255.255 | 65,534 |
| 51 | 253.50.0.0/16 | 253.50.0.1 to 253.50.255.254 | 253.50.255.255 | 65,534 |
| 52 | 253.51.0.0/16 | 253.51.0.1 to 253.51.255.254 | 253.51.255.255 | 65,534 |
| 53 | 253.52.0.0/16 | 253.52.0.1 to 253.52.255.254 | 253.52.255.255 | 65,534 |
| 54 | 253.53.0.0/16 | 253.53.0.1 to 253.53.255.254 | 253.53.255.255 | 65,534 |
| 55 | 253.54.0.0/16 | 253.54.0.1 to 253.54.255.254 | 253.54.255.255 | 65,534 |
| 56 | 253.55.0.0/16 | 253.55.0.1 to 253.55.255.254 | 253.55.255.255 | 65,534 |
| 57 | 253.56.0.0/16 | 253.56.0.1 to 253.56.255.254 | 253.56.255.255 | 65,534 |
| 58 | 253.57.0.0/16 | 253.57.0.1 to 253.57.255.254 | 253.57.255.255 | 65,534 |
| 59 | 253.58.0.0/16 | 253.58.0.1 to 253.58.255.254 | 253.58.255.255 | 65,534 |
| 60 | 253.59.0.0/16 | 253.59.0.1 to 253.59.255.254 | 253.59.255.255 | 65,534 |
| 61 | 253.60.0.0/16 | 253.60.0.1 to 253.60.255.254 | 253.60.255.255 | 65,534 |
| 62 | 253.61.0.0/16 | 253.61.0.1 to 253.61.255.254 | 253.61.255.255 | 65,534 |
| 63 | 253.62.0.0/16 | 253.62.0.1 to 253.62.255.254 | 253.62.255.255 | 65,534 |
| 64 | 253.63.0.0/16 | 253.63.0.1 to 253.63.255.254 | 253.63.255.255 | 65,534 |
| 65 | 253.64.0.0/16 | 253.64.0.1 to 253.64.255.254 | 253.64.255.255 | 65,534 |
| 66 | 253.65.0.0/16 | 253.65.0.1 to 253.65.255.254 | 253.65.255.255 | 65,534 |
| 67 | 253.66.0.0/16 | 253.66.0.1 to 253.66.255.254 | 253.66.255.255 | 65,534 |
| 68 | 253.67.0.0/16 | 253.67.0.1 to 253.67.255.254 | 253.67.255.255 | 65,534 |
| 69 | 253.68.0.0/16 | 253.68.0.1 to 253.68.255.254 | 253.68.255.255 | 65,534 |
| 70 | 253.69.0.0/16 | 253.69.0.1 to 253.69.255.254 | 253.69.255.255 | 65,534 |
| 71 | 253.70.0.0/16 | 253.70.0.1 to 253.70.255.254 | 253.70.255.255 | 65,534 |
| 72 | 253.71.0.0/16 | 253.71.0.1 to 253.71.255.254 | 253.71.255.255 | 65,534 |
| 73 | 253.72.0.0/16 | 253.72.0.1 to 253.72.255.254 | 253.72.255.255 | 65,534 |
| 74 | 253.73.0.0/16 | 253.73.0.1 to 253.73.255.254 | 253.73.255.255 | 65,534 |
| 75 | 253.74.0.0/16 | 253.74.0.1 to 253.74.255.254 | 253.74.255.255 | 65,534 |
| 76 | 253.75.0.0/16 | 253.75.0.1 to 253.75.255.254 | 253.75.255.255 | 65,534 |
| 77 | 253.76.0.0/16 | 253.76.0.1 to 253.76.255.254 | 253.76.255.255 | 65,534 |
| 78 | 253.77.0.0/16 | 253.77.0.1 to 253.77.255.254 | 253.77.255.255 | 65,534 |
| 79 | 253.78.0.0/16 | 253.78.0.1 to 253.78.255.254 | 253.78.255.255 | 65,534 |
| 80 | 253.79.0.0/16 | 253.79.0.1 to 253.79.255.254 | 253.79.255.255 | 65,534 |
| 81 | 253.80.0.0/16 | 253.80.0.1 to 253.80.255.254 | 253.80.255.255 | 65,534 |
| 82 | 253.81.0.0/16 | 253.81.0.1 to 253.81.255.254 | 253.81.255.255 | 65,534 |
| 83 | 253.82.0.0/16 | 253.82.0.1 to 253.82.255.254 | 253.82.255.255 | 65,534 |
| 84 | 253.83.0.0/16 | 253.83.0.1 to 253.83.255.254 | 253.83.255.255 | 65,534 |
| 85 | 253.84.0.0/16 | 253.84.0.1 to 253.84.255.254 | 253.84.255.255 | 65,534 |
| 86 | 253.85.0.0/16 | 253.85.0.1 to 253.85.255.254 | 253.85.255.255 | 65,534 |
| 87 | 253.86.0.0/16 | 253.86.0.1 to 253.86.255.254 | 253.86.255.255 | 65,534 |
| 88 | 253.87.0.0/16 | 253.87.0.1 to 253.87.255.254 | 253.87.255.255 | 65,534 |
| 89 | 253.88.0.0/16 | 253.88.0.1 to 253.88.255.254 | 253.88.255.255 | 65,534 |
| 90 | 253.89.0.0/16 | 253.89.0.1 to 253.89.255.254 | 253.89.255.255 | 65,534 |
| 91 | 253.90.0.0/16 | 253.90.0.1 to 253.90.255.254 | 253.90.255.255 | 65,534 |
| 92 | 253.91.0.0/16 | 253.91.0.1 to 253.91.255.254 | 253.91.255.255 | 65,534 |
| 93 | 253.92.0.0/16 | 253.92.0.1 to 253.92.255.254 | 253.92.255.255 | 65,534 |
| 94 | 253.93.0.0/16 | 253.93.0.1 to 253.93.255.254 | 253.93.255.255 | 65,534 |
| 95 | 253.94.0.0/16 | 253.94.0.1 to 253.94.255.254 | 253.94.255.255 | 65,534 |
| 96 | 253.95.0.0/16 | 253.95.0.1 to 253.95.255.254 | 253.95.255.255 | 65,534 |
| 97 | 253.96.0.0/16 | 253.96.0.1 to 253.96.255.254 | 253.96.255.255 | 65,534 |
| 98 | 253.97.0.0/16 | 253.97.0.1 to 253.97.255.254 | 253.97.255.255 | 65,534 |
| 99 | 253.98.0.0/16 | 253.98.0.1 to 253.98.255.254 | 253.98.255.255 | 65,534 |
| 100 | 253.99.0.0/16 | 253.99.0.1 to 253.99.255.254 | 253.99.255.255 | 65,534 |
| 101 | 253.100.0.0/16 | 253.100.0.1 to 253.100.255.254 | 253.100.255.255 | 65,534 |
| 102 | 253.101.0.0/16 | 253.101.0.1 to 253.101.255.254 | 253.101.255.255 | 65,534 |
| 103 | 253.102.0.0/16 | 253.102.0.1 to 253.102.255.254 | 253.102.255.255 | 65,534 |
| 104 | 253.103.0.0/16 | 253.103.0.1 to 253.103.255.254 | 253.103.255.255 | 65,534 |
| 105 | 253.104.0.0/16 | 253.104.0.1 to 253.104.255.254 | 253.104.255.255 | 65,534 |
| 106 | 253.105.0.0/16 | 253.105.0.1 to 253.105.255.254 | 253.105.255.255 | 65,534 |
| 107 | 253.106.0.0/16 | 253.106.0.1 to 253.106.255.254 | 253.106.255.255 | 65,534 |
| 108 | 253.107.0.0/16 | 253.107.0.1 to 253.107.255.254 | 253.107.255.255 | 65,534 |
| 109 | 253.108.0.0/16 | 253.108.0.1 to 253.108.255.254 | 253.108.255.255 | 65,534 |
| 110 | 253.109.0.0/16 | 253.109.0.1 to 253.109.255.254 | 253.109.255.255 | 65,534 |
| 111 | 253.110.0.0/16 | 253.110.0.1 to 253.110.255.254 | 253.110.255.255 | 65,534 |
| 112 | 253.111.0.0/16 | 253.111.0.1 to 253.111.255.254 | 253.111.255.255 | 65,534 |
| 113 | 253.112.0.0/16 | 253.112.0.1 to 253.112.255.254 | 253.112.255.255 | 65,534 |
| 114 | 253.113.0.0/16 | 253.113.0.1 to 253.113.255.254 | 253.113.255.255 | 65,534 |
| 115 | 253.114.0.0/16 | 253.114.0.1 to 253.114.255.254 | 253.114.255.255 | 65,534 |
| 116 | 253.115.0.0/16 | 253.115.0.1 to 253.115.255.254 | 253.115.255.255 | 65,534 |
| 117 | 253.116.0.0/16 | 253.116.0.1 to 253.116.255.254 | 253.116.255.255 | 65,534 |
| 118 | 253.117.0.0/16 | 253.117.0.1 to 253.117.255.254 | 253.117.255.255 | 65,534 |
| 119 | 253.118.0.0/16 | 253.118.0.1 to 253.118.255.254 | 253.118.255.255 | 65,534 |
| 120 | 253.119.0.0/16 | 253.119.0.1 to 253.119.255.254 | 253.119.255.255 | 65,534 |
| 121 | 253.120.0.0/16 | 253.120.0.1 to 253.120.255.254 | 253.120.255.255 | 65,534 |
| 122 | 253.121.0.0/16 | 253.121.0.1 to 253.121.255.254 | 253.121.255.255 | 65,534 |
| 123 | 253.122.0.0/16 | 253.122.0.1 to 253.122.255.254 | 253.122.255.255 | 65,534 |
| 124 | 253.123.0.0/16 | 253.123.0.1 to 253.123.255.254 | 253.123.255.255 | 65,534 |
| 125 | 253.124.0.0/16 | 253.124.0.1 to 253.124.255.254 | 253.124.255.255 | 65,534 |
| 126 | 253.125.0.0/16 | 253.125.0.1 to 253.125.255.254 | 253.125.255.255 | 65,534 |
| 127 | 253.126.0.0/16 | 253.126.0.1 to 253.126.255.254 | 253.126.255.255 | 65,534 |
| 128 | 253.127.0.0/16 | 253.127.0.1 to 253.127.255.254 | 253.127.255.255 | 65,534 |
| 129 | 253.128.0.0/16 | 253.128.0.1 to 253.128.255.254 | 253.128.255.255 | 65,534 |
| 130 | 253.129.0.0/16 | 253.129.0.1 to 253.129.255.254 | 253.129.255.255 | 65,534 |
| 131 | 253.130.0.0/16 | 253.130.0.1 to 253.130.255.254 | 253.130.255.255 | 65,534 |
| 132 | 253.131.0.0/16 | 253.131.0.1 to 253.131.255.254 | 253.131.255.255 | 65,534 |
| 133 | 253.132.0.0/16 | 253.132.0.1 to 253.132.255.254 | 253.132.255.255 | 65,534 |
| 134 | 253.133.0.0/16 | 253.133.0.1 to 253.133.255.254 | 253.133.255.255 | 65,534 |
| 135 | 253.134.0.0/16 | 253.134.0.1 to 253.134.255.254 | 253.134.255.255 | 65,534 |
| 136 | 253.135.0.0/16 | 253.135.0.1 to 253.135.255.254 | 253.135.255.255 | 65,534 |
| 137 | 253.136.0.0/16 | 253.136.0.1 to 253.136.255.254 | 253.136.255.255 | 65,534 |
| 138 | 253.137.0.0/16 | 253.137.0.1 to 253.137.255.254 | 253.137.255.255 | 65,534 |
| 139 | 253.138.0.0/16 | 253.138.0.1 to 253.138.255.254 | 253.138.255.255 | 65,534 |
| 140 | 253.139.0.0/16 | 253.139.0.1 to 253.139.255.254 | 253.139.255.255 | 65,534 |
| 141 | 253.140.0.0/16 | 253.140.0.1 to 253.140.255.254 | 253.140.255.255 | 65,534 |
| 142 | 253.141.0.0/16 | 253.141.0.1 to 253.141.255.254 | 253.141.255.255 | 65,534 |
| 143 | 253.142.0.0/16 | 253.142.0.1 to 253.142.255.254 | 253.142.255.255 | 65,534 |
| 144 | 253.143.0.0/16 | 253.143.0.1 to 253.143.255.254 | 253.143.255.255 | 65,534 |
| 145 | 253.144.0.0/16 | 253.144.0.1 to 253.144.255.254 | 253.144.255.255 | 65,534 |
| 146 | 253.145.0.0/16 | 253.145.0.1 to 253.145.255.254 | 253.145.255.255 | 65,534 |
| 147 | 253.146.0.0/16 | 253.146.0.1 to 253.146.255.254 | 253.146.255.255 | 65,534 |
| 148 | 253.147.0.0/16 | 253.147.0.1 to 253.147.255.254 | 253.147.255.255 | 65,534 |
| 149 | 253.148.0.0/16 | 253.148.0.1 to 253.148.255.254 | 253.148.255.255 | 65,534 |
| 150 | 253.149.0.0/16 | 253.149.0.1 to 253.149.255.254 | 253.149.255.255 | 65,534 |
| 151 | 253.150.0.0/16 | 253.150.0.1 to 253.150.255.254 | 253.150.255.255 | 65,534 |
| 152 | 253.151.0.0/16 | 253.151.0.1 to 253.151.255.254 | 253.151.255.255 | 65,534 |
| 153 | 253.152.0.0/16 | 253.152.0.1 to 253.152.255.254 | 253.152.255.255 | 65,534 |
| 154 | 253.153.0.0/16 | 253.153.0.1 to 253.153.255.254 | 253.153.255.255 | 65,534 |
| 155 | 253.154.0.0/16 | 253.154.0.1 to 253.154.255.254 | 253.154.255.255 | 65,534 |
| 156 | 253.155.0.0/16 | 253.155.0.1 to 253.155.255.254 | 253.155.255.255 | 65,534 |
| 157 | 253.156.0.0/16 | 253.156.0.1 to 253.156.255.254 | 253.156.255.255 | 65,534 |
| 158 | 253.157.0.0/16 | 253.157.0.1 to 253.157.255.254 | 253.157.255.255 | 65,534 |
| 159 | 253.158.0.0/16 | 253.158.0.1 to 253.158.255.254 | 253.158.255.255 | 65,534 |
| 160 | 253.159.0.0/16 | 253.159.0.1 to 253.159.255.254 | 253.159.255.255 | 65,534 |
| 161 | 253.160.0.0/16 | 253.160.0.1 to 253.160.255.254 | 253.160.255.255 | 65,534 |
| 162 | 253.161.0.0/16 | 253.161.0.1 to 253.161.255.254 | 253.161.255.255 | 65,534 |
| 163 | 253.162.0.0/16 | 253.162.0.1 to 253.162.255.254 | 253.162.255.255 | 65,534 |
| 164 | 253.163.0.0/16 | 253.163.0.1 to 253.163.255.254 | 253.163.255.255 | 65,534 |
| 165 | 253.164.0.0/16 | 253.164.0.1 to 253.164.255.254 | 253.164.255.255 | 65,534 |
| 166 | 253.165.0.0/16 | 253.165.0.1 to 253.165.255.254 | 253.165.255.255 | 65,534 |
| 167 | 253.166.0.0/16 | 253.166.0.1 to 253.166.255.254 | 253.166.255.255 | 65,534 |
| 168 | 253.167.0.0/16 | 253.167.0.1 to 253.167.255.254 | 253.167.255.255 | 65,534 |
| 169 | 253.168.0.0/16 | 253.168.0.1 to 253.168.255.254 | 253.168.255.255 | 65,534 |
| 170 | 253.169.0.0/16 | 253.169.0.1 to 253.169.255.254 | 253.169.255.255 | 65,534 |
| 171 | 253.170.0.0/16 | 253.170.0.1 to 253.170.255.254 | 253.170.255.255 | 65,534 |
| 172 | 253.171.0.0/16 | 253.171.0.1 to 253.171.255.254 | 253.171.255.255 | 65,534 |
| 173 | 253.172.0.0/16 | 253.172.0.1 to 253.172.255.254 | 253.172.255.255 | 65,534 |
| 174 | 253.173.0.0/16 | 253.173.0.1 to 253.173.255.254 | 253.173.255.255 | 65,534 |
| 175 | 253.174.0.0/16 | 253.174.0.1 to 253.174.255.254 | 253.174.255.255 | 65,534 |
| 176 | 253.175.0.0/16 | 253.175.0.1 to 253.175.255.254 | 253.175.255.255 | 65,534 |
| 177 | 253.176.0.0/16 | 253.176.0.1 to 253.176.255.254 | 253.176.255.255 | 65,534 |
| 178 | 253.177.0.0/16 | 253.177.0.1 to 253.177.255.254 | 253.177.255.255 | 65,534 |
| 179 | 253.178.0.0/16 | 253.178.0.1 to 253.178.255.254 | 253.178.255.255 | 65,534 |
| 180 | 253.179.0.0/16 | 253.179.0.1 to 253.179.255.254 | 253.179.255.255 | 65,534 |
| 181 | 253.180.0.0/16 | 253.180.0.1 to 253.180.255.254 | 253.180.255.255 | 65,534 |
| 182 | 253.181.0.0/16 | 253.181.0.1 to 253.181.255.254 | 253.181.255.255 | 65,534 |
| 183 | 253.182.0.0/16 | 253.182.0.1 to 253.182.255.254 | 253.182.255.255 | 65,534 |
| 184 | 253.183.0.0/16 | 253.183.0.1 to 253.183.255.254 | 253.183.255.255 | 65,534 |
| 185 | 253.184.0.0/16 | 253.184.0.1 to 253.184.255.254 | 253.184.255.255 | 65,534 |
| 186 | 253.185.0.0/16 | 253.185.0.1 to 253.185.255.254 | 253.185.255.255 | 65,534 |
| 187 | 253.186.0.0/16 | 253.186.0.1 to 253.186.255.254 | 253.186.255.255 | 65,534 |
| 188 | 253.187.0.0/16 | 253.187.0.1 to 253.187.255.254 | 253.187.255.255 | 65,534 |
| 189 | 253.188.0.0/16 | 253.188.0.1 to 253.188.255.254 | 253.188.255.255 | 65,534 |
| 190 | 253.189.0.0/16 | 253.189.0.1 to 253.189.255.254 | 253.189.255.255 | 65,534 |
| 191 | 253.190.0.0/16 | 253.190.0.1 to 253.190.255.254 | 253.190.255.255 | 65,534 |
| 192 | 253.191.0.0/16 | 253.191.0.1 to 253.191.255.254 | 253.191.255.255 | 65,534 |
| 193 | 253.192.0.0/16 | 253.192.0.1 to 253.192.255.254 | 253.192.255.255 | 65,534 |
| 194 | 253.193.0.0/16 | 253.193.0.1 to 253.193.255.254 | 253.193.255.255 | 65,534 |
| 195 | 253.194.0.0/16 | 253.194.0.1 to 253.194.255.254 | 253.194.255.255 | 65,534 |
| 196 | 253.195.0.0/16 | 253.195.0.1 to 253.195.255.254 | 253.195.255.255 | 65,534 |
| 197 | 253.196.0.0/16 | 253.196.0.1 to 253.196.255.254 | 253.196.255.255 | 65,534 |
| 198 | 253.197.0.0/16 | 253.197.0.1 to 253.197.255.254 | 253.197.255.255 | 65,534 |
| 199 | 253.198.0.0/16 | 253.198.0.1 to 253.198.255.254 | 253.198.255.255 | 65,534 |
| 200 | 253.199.0.0/16 | 253.199.0.1 to 253.199.255.254 | 253.199.255.255 | 65,534 |
| 201 | 253.200.0.0/16 | 253.200.0.1 to 253.200.255.254 | 253.200.255.255 | 65,534 |
| 202 | 253.201.0.0/16 | 253.201.0.1 to 253.201.255.254 | 253.201.255.255 | 65,534 |
| 203 | 253.202.0.0/16 | 253.202.0.1 to 253.202.255.254 | 253.202.255.255 | 65,534 |
| 204 | 253.203.0.0/16 | 253.203.0.1 to 253.203.255.254 | 253.203.255.255 | 65,534 |
| 205 | 253.204.0.0/16 | 253.204.0.1 to 253.204.255.254 | 253.204.255.255 | 65,534 |
| 206 | 253.205.0.0/16 | 253.205.0.1 to 253.205.255.254 | 253.205.255.255 | 65,534 |
| 207 | 253.206.0.0/16 | 253.206.0.1 to 253.206.255.254 | 253.206.255.255 | 65,534 |
| 208 | 253.207.0.0/16 | 253.207.0.1 to 253.207.255.254 | 253.207.255.255 | 65,534 |
| 209 | 253.208.0.0/16 | 253.208.0.1 to 253.208.255.254 | 253.208.255.255 | 65,534 |
| 210 | 253.209.0.0/16 | 253.209.0.1 to 253.209.255.254 | 253.209.255.255 | 65,534 |
| 211 | 253.210.0.0/16 | 253.210.0.1 to 253.210.255.254 | 253.210.255.255 | 65,534 |
| 212 | 253.211.0.0/16 | 253.211.0.1 to 253.211.255.254 | 253.211.255.255 | 65,534 |
| 213 | 253.212.0.0/16 | 253.212.0.1 to 253.212.255.254 | 253.212.255.255 | 65,534 |
| 214 | 253.213.0.0/16 | 253.213.0.1 to 253.213.255.254 | 253.213.255.255 | 65,534 |
| 215 | 253.214.0.0/16 | 253.214.0.1 to 253.214.255.254 | 253.214.255.255 | 65,534 |
| 216 | 253.215.0.0/16 | 253.215.0.1 to 253.215.255.254 | 253.215.255.255 | 65,534 |
| 217 | 253.216.0.0/16 | 253.216.0.1 to 253.216.255.254 | 253.216.255.255 | 65,534 |
| 218 | 253.217.0.0/16 | 253.217.0.1 to 253.217.255.254 | 253.217.255.255 | 65,534 |
| 219 | 253.218.0.0/16 | 253.218.0.1 to 253.218.255.254 | 253.218.255.255 | 65,534 |
| 220 | 253.219.0.0/16 | 253.219.0.1 to 253.219.255.254 | 253.219.255.255 | 65,534 |
| 221 | 253.220.0.0/16 | 253.220.0.1 to 253.220.255.254 | 253.220.255.255 | 65,534 |
| 222 | 253.221.0.0/16 | 253.221.0.1 to 253.221.255.254 | 253.221.255.255 | 65,534 |
| 223 | 253.222.0.0/16 | 253.222.0.1 to 253.222.255.254 | 253.222.255.255 | 65,534 |
| 224 | 253.223.0.0/16 | 253.223.0.1 to 253.223.255.254 | 253.223.255.255 | 65,534 |
| 225 | 253.224.0.0/16 | 253.224.0.1 to 253.224.255.254 | 253.224.255.255 | 65,534 |
| 226 | 253.225.0.0/16 | 253.225.0.1 to 253.225.255.254 | 253.225.255.255 | 65,534 |
| 227 | 253.226.0.0/16 | 253.226.0.1 to 253.226.255.254 | 253.226.255.255 | 65,534 |
| 228 | 253.227.0.0/16 | 253.227.0.1 to 253.227.255.254 | 253.227.255.255 | 65,534 |
| 229 | 253.228.0.0/16 | 253.228.0.1 to 253.228.255.254 | 253.228.255.255 | 65,534 |
| 230 | 253.229.0.0/16 | 253.229.0.1 to 253.229.255.254 | 253.229.255.255 | 65,534 |
| 231 | 253.230.0.0/16 | 253.230.0.1 to 253.230.255.254 | 253.230.255.255 | 65,534 |
| 232 | 253.231.0.0/16 | 253.231.0.1 to 253.231.255.254 | 253.231.255.255 | 65,534 |
| 233 | 253.232.0.0/16 | 253.232.0.1 to 253.232.255.254 | 253.232.255.255 | 65,534 |
| 234 | 253.233.0.0/16 | 253.233.0.1 to 253.233.255.254 | 253.233.255.255 | 65,534 |
| 235 | 253.234.0.0/16 | 253.234.0.1 to 253.234.255.254 | 253.234.255.255 | 65,534 |
| 236 | 253.235.0.0/16 | 253.235.0.1 to 253.235.255.254 | 253.235.255.255 | 65,534 |
| 237 | 253.236.0.0/16 | 253.236.0.1 to 253.236.255.254 | 253.236.255.255 | 65,534 |
| 238 | 253.237.0.0/16 | 253.237.0.1 to 253.237.255.254 | 253.237.255.255 | 65,534 |
| 239 | 253.238.0.0/16 | 253.238.0.1 to 253.238.255.254 | 253.238.255.255 | 65,534 |
| 240 | 253.239.0.0/16 | 253.239.0.1 to 253.239.255.254 | 253.239.255.255 | 65,534 |
| 241 | 253.240.0.0/16 | 253.240.0.1 to 253.240.255.254 | 253.240.255.255 | 65,534 |
| 242 | 253.241.0.0/16 | 253.241.0.1 to 253.241.255.254 | 253.241.255.255 | 65,534 |
| 243 | 253.242.0.0/16 | 253.242.0.1 to 253.242.255.254 | 253.242.255.255 | 65,534 |
| 244 | 253.243.0.0/16 | 253.243.0.1 to 253.243.255.254 | 253.243.255.255 | 65,534 |
| 245 | 253.244.0.0/16 | 253.244.0.1 to 253.244.255.254 | 253.244.255.255 | 65,534 |
| 246 | 253.245.0.0/16 | 253.245.0.1 to 253.245.255.254 | 253.245.255.255 | 65,534 |
| 247 | 253.246.0.0/16 | 253.246.0.1 to 253.246.255.254 | 253.246.255.255 | 65,534 |
| 248 | 253.247.0.0/16 | 253.247.0.1 to 253.247.255.254 | 253.247.255.255 | 65,534 |
| 249 | 253.248.0.0/16 | 253.248.0.1 to 253.248.255.254 | 253.248.255.255 | 65,534 |
| 250 | 253.249.0.0/16 | 253.249.0.1 to 253.249.255.254 | 253.249.255.255 | 65,534 |
| 251 | 253.250.0.0/16 | 253.250.0.1 to 253.250.255.254 | 253.250.255.255 | 65,534 |
| 252 | 253.251.0.0/16 | 253.251.0.1 to 253.251.255.254 | 253.251.255.255 | 65,534 |
| 253 | 253.252.0.0/16 | 253.252.0.1 to 253.252.255.254 | 253.252.255.255 | 65,534 |
| 254 | 253.253.0.0/16 | 253.253.0.1 to 253.253.255.254 | 253.253.255.255 | 65,534 |
| 255 | 253.254.0.0/16 | 253.254.0.1 to 253.254.255.254 | 253.254.255.255 | 65,534 |
| 256 | 253.255.0.0/16 | 253.255.0.1 to 253.255.255.254 | 253.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |